clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::ast_matchers::dynamic::MatcherCompletion Struct Reference

`#include "clang/ASTMatchers/Dynamic/Registry.h"`

Collaboration diagram for clang::ast_matchers::dynamic::MatcherCompletion:
[legend]

## Public Member Functions
| MatcherCompletion ()=default
| MatcherCompletion (StringRef TypedText, StringRef MatcherDecl, unsigned Specificity)
bool | operator== (const MatcherCompletion &Other) const

## Public Attributes
std::string | TypedText
| The text to type to select this matcher. More...
std::string | MatcherDecl
| The "declaration" of the matcher, with type information. More...
unsigned | Specificity
| Value corresponding to the "specificity" of the converted matcher. More...

## Detailed Description

Definition at line 41 of file Registry.h.

## Constructor & Destructor Documentation

## ◆ MatcherCompletion() [1/2]

clang::ast_matchers::dynamic::MatcherCompletion::MatcherCompletion | ( |  | ) |
| default

## ◆ MatcherCompletion() [2/2]

clang::ast_matchers::dynamic::MatcherCompletion::MatcherCompletion | ( | StringRef | TypedText,
|  | StringRef | MatcherDecl,
|  | unsigned | Specificity
| ) |  |
| inline

Definition at line 43 of file Registry.h.

## Member Function Documentation

## ◆ operator==()

bool clang::ast_matchers::dynamic::MatcherCompletion::operator== | ( | const MatcherCompletion & | Other | ) | const
| inline

Definition at line 48 of file Registry.h.

References MatcherDecl, and TypedText.

## Member Data Documentation

## ◆ MatcherDecl

std::string clang::ast_matchers::dynamic::MatcherCompletion::MatcherDecl

The "declaration" of the matcher, with type information.

Definition at line 56 of file Registry.h.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg(), and operator==().

## ◆ Specificity

unsigned clang::ast_matchers::dynamic::MatcherCompletion::Specificity

Value corresponding to the "specificity" of the converted matcher.

Zero specificity indicates that this conversion would produce a trivial matcher that will either always or never match. Such matchers are excluded from code completion results.

Definition at line 63 of file Registry.h.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg().

## ◆ TypedText

std::string clang::ast_matchers::dynamic::MatcherCompletion::TypedText

The text to type to select this matcher.

Definition at line 53 of file Registry.h.

Referenced by clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg(), and operator==().

The documentation for this struct was generated from the following file:

- include/clang/ASTMatchers/Dynamic/Registry.h